OGRE: Ogre::DebugDrawer Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::DebugDrawer Class Referenceabstract
Core » Scene

Interface for visualising debugging the SceneManager state. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::DebugDrawer:
[legend]

## Public Member Functions
virtual | ~DebugDrawer ()
virtual void | drawBone (const Node *node, const Affine3 &transform=Affine3::IDENTITY)=0
virtual void | drawFrustum (const Frustum *frust)=0
virtual void | drawSceneNode (const SceneNode *node)=0
Public Member Functions inherited from Ogre::SceneManager::Listener
| Listener ()
virtual | ~Listener ()
virtual void | postFindVisibleObjects (SceneManager *source, IlluminationRenderStage irs, Viewport *v)
| Called after searching for visible objects in this SceneManager.
virtual void | postUpdateSceneGraph (SceneManager *source, Camera *camera)
| Called after updating the scene graph in this SceneManager.
virtual void | preFindVisibleObjects (SceneManager *source, IlluminationRenderStage irs, Viewport *v)
| Called prior to searching for visible objects in this SceneManager.
virtual void | preUpdateSceneGraph (SceneManager *source, Camera *camera)
| Called prior to updating the scene graph in this SceneManager.
virtual void | sceneManagerDestroyed (SceneManager *source)
| Event notifying the listener of the SceneManager's destruction.

## Detailed Description

Interface for visualising debugging the SceneManager state.

## Constructor & Destructor Documentation

## ◆ ~DebugDrawer()

virtual Ogre::DebugDrawer::~DebugDrawer | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ drawSceneNode()

virtual void Ogre::DebugDrawer::drawSceneNode | ( | const SceneNode * | node | ) |
| pure virtual

Implemented in Ogre::DefaultDebugDrawer.

## ◆ drawBone()

virtual void Ogre::DebugDrawer::drawBone | ( | const Node * | node,
|  | const Affine3 & | transform = Affine3::IDENTITY )
| pure virtual

Implemented in Ogre::DefaultDebugDrawer.

References Ogre::Affine3::IDENTITY.

## ◆ drawFrustum()

virtual void Ogre::DebugDrawer::drawFrustum | ( | const Frustum * | frust | ) |
| pure virtual

Implemented in Ogre::DefaultDebugDrawer.

The documentation for this class was generated from the following file:

- OgreSceneManager.h